nsec3params.h File Reference
`#include "config.h"`
`#include <ctype.h>`
`#include <stdint.h>`
`#include <ldns/ldns.h>`
`#include "status.h"`
`#include "signconf.h"`

Go to the source code of this file.

## Data Structures

struct | nsec3params_struct

## Typedefs

typedef struct nsec3params_struct | nsec3params_type

## Functions

ods_status | nsec3params_create_salt (const char *salt_str, uint8_t *salt_len, uint8_t **salt)
nsec3params_type * | nsec3params_create (void *sc, uint8_t algo, uint8_t flags, uint16_t iter, const char *salt)
void | nsec3params_backup (FILE *fd, uint8_t algo, uint8_t flags, uint16_t iter, const char *salt, ldns_rr *rr, const char *version)
void | nsec3params_cleanup (nsec3params_type *nsec3params)

## Typedef Documentation

## nsec3params_type

typedef struct nsec3params_struct nsec3params_type

Definition at line 42 of file nsec3params.h.

## Function Documentation

## nsec3params_backup()

void nsec3params_backup | ( | FILE * | fd,
|  | uint8_t | algo,
|  | uint8_t | flags,
|  | uint16_t | iter,
|  | const char * | salt,
|  | ldns_rr * | rr,
|  | const char * | version )

Backup NSEC3 parameters.

Parameters

  [in] | fd | file descriptor
  [in] | algo | algorithm
  [in] | flags | glags, Opt-Out or Opt-In
  [in] | iter | number of iterations
  [in] | salt | salt
  [in] | rr | NSEC3PARAM RR
  [in] | version | version string

Backup NSEC3 parameters.

Definition at line 141 of file nsec3params.c.

Referenced by zone_backup2().

## nsec3params_cleanup()

void nsec3params_cleanup | ( | nsec3params_type * | nsec3params | ) |

extern

Clean up the NSEC3 parameters.

Parameters

  [in] | nsec3params | the nsec3param to be deleted

Clean up NSEC3 parameters.

Definition at line 165 of file nsec3params.c.

References nsec3params_struct::salt_data.

Referenced by signconf_cleanup().

## nsec3params_create()

nsec3params_type * nsec3params_create | ( | void * | sc,
|  | uint8_t | algo,
|  | uint8_t | flags,
|  | uint16_t | iter,
|  | const char * | salt )

extern

Create new NSEC3 parameters.

Parameters

  [in] | sc | signer configuration reference
  [in] | algo | algorithm
  [in] | flags | flags, Opt-Out or Opt-In
  [in] | iter | number of iterations
  [in] | salt | salt

Returns
  nsec3params_type* the created nsec3params

Create new NSEC3 parameters.

Definition at line 103 of file nsec3params.c.

References nsec3params_struct::algorithm, nsec3params_struct::flags, nsec3params_struct::iterations, nsec3params_create_salt(), nsec3params_struct::rr, nsec3params_struct::salt_data, nsec3params_struct::salt_len, and nsec3params_struct::sc.

Referenced by zone_recover2().

## nsec3params_create_salt()

ods_status nsec3params_create_salt | ( | const char * | salt_str,
|  | uint8_t * | salt_len,
|  | uint8_t ** | salt )

extern

Create NSEC3 salt.

Parameters

  [in] | salt_str | the salt in string format
  [out] | salt_len | lenght of the salt data
  [out] | salt | salt in raw data format

Returns
  ods_status status

Create NSEC3 salt.

Definition at line 52 of file nsec3params.c.

Referenced by nsec3params_create().